GET api/contractapi/contract/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

ContractViewModel
NameDescriptionTypeAdditional information
selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

washing_processes

Collection of WashingProcessViewModel

None.

active

boolean

Required

certificate_type_id

globally unique identifier

Required

code

integer

None.

delay_between_scans

integer

None.

id

globally unique identifier

None.

internal_reference

string

String length: inclusive between 0 and 50

item_wash_max

integer

None.

language_code

string

Required

String length: inclusive between 0 and 10

name

string

Required

String length: inclusive between 0 and 100

packaging_type_id

globally unique identifier

Required

packing_type_id

globally unique identifier

Required

particles_control

boolean

Required

peremption_month

integer

None.

peremption_print_cleanroom

boolean

Required

peremption_print_date

boolean

Required

peremption_print_expedition

boolean

Required

permanent_management

boolean

Required

pool_id

globally unique identifier

None.

remark

string

None.

site_customer_id

globally unique identifier

Required

sorting_type_id

globally unique identifier

Required

type

string

Required

String length: inclusive between 0 and 1

Response Formats

application/json, text/json

Sample:
{
  "selected_nameplate_id": "1883dd7a-e343-4ffc-aab0-ae1c9d8a6011",
  "selected_sticker_id": "229236fe-a297-44ad-869a-682425dfe98a",
  "washing_processes": [
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "92b0c645-f03e-4fda-83c1-89259a8a9083",
      "site_id": "63aaecf3-a643-495c-a2eb-d422baadea57"
    },
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "92b0c645-f03e-4fda-83c1-89259a8a9083",
      "site_id": "63aaecf3-a643-495c-a2eb-d422baadea57"
    }
  ],
  "active": true,
  "certificate_type_id": "b86431d1-bddb-4aae-a3b0-bd2bef74bda7",
  "code": 1,
  "delay_between_scans": 1,
  "id": "3c393f4d-4c08-4133-8249-b1e91821b09a",
  "internal_reference": "sample string 4",
  "item_wash_max": 1,
  "language_code": "sample string 5",
  "name": "sample string 6",
  "packaging_type_id": "3674a492-ddbc-4c2c-81f7-845e2583b737",
  "packing_type_id": "e3323866-aa6e-4698-a5c7-97091b11c7e6",
  "particles_control": true,
  "peremption_month": 1,
  "peremption_print_cleanroom": true,
  "peremption_print_date": true,
  "peremption_print_expedition": true,
  "permanent_management": true,
  "pool_id": "5069b4be-fb2d-4ce1-8cf9-eaae8cecb857",
  "remark": "sample string 14",
  "site_customer_id": "a869d04c-471f-40e4-8a7f-cd15c7a288c3",
  "sorting_type_id": "f930daa9-871e-4496-a8df-3faa2f8513b1",
  "type": "sample string 17"
}

application/xml, text/xml

Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <certificate_type_id>b86431d1-bddb-4aae-a3b0-bd2bef74bda7</certificate_type_id>
  <code>1</code>
  <delay_between_scans>1</delay_between_scans>
  <id>3c393f4d-4c08-4133-8249-b1e91821b09a</id>
  <internal_reference>sample string 4</internal_reference>
  <item_wash_max>1</item_wash_max>
  <language_code>sample string 5</language_code>
  <name>sample string 6</name>
  <packaging_type_id>3674a492-ddbc-4c2c-81f7-845e2583b737</packaging_type_id>
  <packing_type_id>e3323866-aa6e-4698-a5c7-97091b11c7e6</packing_type_id>
  <particles_control>true</particles_control>
  <peremption_month>1</peremption_month>
  <peremption_print_cleanroom>true</peremption_print_cleanroom>
  <peremption_print_date>true</peremption_print_date>
  <peremption_print_expedition>true</peremption_print_expedition>
  <permanent_management>true</permanent_management>
  <pool_id>5069b4be-fb2d-4ce1-8cf9-eaae8cecb857</pool_id>
  <remark>sample string 14</remark>
  <site_customer_id>a869d04c-471f-40e4-8a7f-cd15c7a288c3</site_customer_id>
  <sorting_type_id>f930daa9-871e-4496-a8df-3faa2f8513b1</sorting_type_id>
  <type>sample string 17</type>
  <selected_nameplate_id>1883dd7a-e343-4ffc-aab0-ae1c9d8a6011</selected_nameplate_id>
  <selected_sticker_id>229236fe-a297-44ad-869a-682425dfe98a</selected_sticker_id>
  <washing_processes>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>92b0c645-f03e-4fda-83c1-89259a8a9083</id>
      <site_id>63aaecf3-a643-495c-a2eb-d422baadea57</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>92b0c645-f03e-4fda-83c1-89259a8a9083</id>
      <site_id>63aaecf3-a643-495c-a2eb-d422baadea57</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
  </washing_processes>
</contract>